Announcement

Collapse
No announcement yet.

NVIDIA Dropping Pre-Fermi GPUs From Their Mainline Linux Driver

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • NVIDIA Dropping Pre-Fermi GPUs From Their Mainline Linux Driver

    Phoronix: NVIDIA Dropping Pre-Fermi GPUs From Their Mainline Linux Driver

    NVIDIA will be removing all support for graphics processors prior to the GeForce 400 "Fermi" series from their mainline Linux graphics driver...

    http://www.phoronix.com/vr.php?view=MTYyODA

  • #2
    Awesome

    Originally posted by phoronix View Post
    Phoronix: NVIDIA Dropping Pre-Fermi GPUs From Their Mainline Linux Driver

    NVIDIA will be removing all support for graphics processors prior to the GeForce 400 "Fermi" series from their mainline Linux graphics driver...

    http://www.phoronix.com/vr.php?view=MTYyODA
    Last reason to use NVIDIA disappeared.
    Not that I use nvidia drivers of course, I use awesome nouveau drivers instead

    Comment


    • #3
      That makes sense. I thought they'd do that in their last drop, but apparently they had these mainline until now. So now Catalyst and NVIDIA blobs will be equal as to the range of cards supported (but then AMD might drop non-SI hardware sometime soonish).

      Comment


      • #4
        I have to admit that selecting RadeonHD 4890 over Geforce GTX275 was the best decision in my life

        Comment


        • #5
          Well, Nvidia is very slow currently, they don't support kernel 3.13/3.14 directly or very late. I can understand that they drop support for DX 10 cards for latest drivers, AMD did that step long ago (fglrx only supports DX11 chips in current releases). Basically when there would be always a current driver that does NOT need extra patches it does not matter so much how many different drivers you need. But it really sucks, when you need to patch every driver on your own, packaging new drivers is faster.

          Comment


          • #6
            it was quite expected.. supporting such old harware with new drivers is a mess. better improve drivers for new cards to squeeze out max from them.
            legacy drivers are still gonna be updated, so those who use those old cards dont have to be dissapointed.

            i think that decision has come with the gaming perfromance in mind, specialy steamboxes and the like.. nobody sane would use anything older for gaming anyway.
            less bloat in drivers and less overhead probably.

            Comment


            • #7
              I have Geforce 330M - so now I schould switch to the 304.119 drivers? And what about 8XXX series - 304.119 driver is good for it too?

              Comment


              • #8
                No, read the article. Release 340 drivers will be the legacy drivers for all Nvidia 8/9/100/200/300 series GPUs.

                Release 340 will be out sometime in the future. Current latest drivers is Release 334.

                Originally posted by siavashserver View Post
                I have to admit that selecting RadeonHD 4890 over Geforce GTX275 was the best decision in my life
                More like worst decision, Nvidia supports GTX 275 until 2016 where as AMD already dropped driver support for HD4000, but I guess you don't seem to understand that.

                Comment


                • #9
                  Originally posted by GT220 View Post
                  More like worst decision, Nvidia supports GTX 275 until 2016 where as AMD already dropped driver support for HD4000, but I guess you don't seem to understand that.
                  The open source radeon driver supports the HD4xxx cards quite nicely though. Not having the binary blobs for those is really a non-issue anymore.

                  Comment


                  • #10
                    Originally posted by dragonn View Post
                    I have Geforce 330M - so now I schould switch to the 304.119 drivers? And what about 8XXX series - 304.119 driver is good for it too?
                    Like gt220 said there will be legacy 340-driver which will support it. I wonder though what will be optimus support in legacy driver, will it have updates from mainline.

                    Comment

                    Working...
                    X